#if !defined HATP_BELIEFMETHOD_HH_
#define HATP_BELIEFMETHOD_COMMHH_

#include<map>
#include "Task.hh"

#define INFORMATION "information"
#define CONTRADICTION "contradiction"
#define QUESTION "question"
#define ATTRNULL "NULL"

class BeliefMethod {
	
	private:
		std::map<std::string, Task*> commTasks;
	
	public:
		BeliefMethod();
		void addCommTask(std::string type, Task* task);
		Task* getTaskOfType(std::string);
		std::string toString();

};

inline BeliefMethod::BeliefMethod() {}

#endif
